ThirdParty/Module.wasm相关

0 投票

使用产品:SuperMap_iClient3D_10i_for_WebGL_25647

问题详细描述:找不到在哪里加载的这个ThirdParty/Module.wasm,切换了这个版本的包之后,就报如图所示的错

6月 10, 2020 分类:  328次浏览 | 用户: 吕峥嵘 初出茅庐 (63 分)
重新分类 6月 10, 2020 用户:胡延南

1个回答

0 投票
你是运行你自己的代码出现的?还是运行我们的范例里面出现的?我这里测试用我们范例中的代码运行时没出现这个错误。你那边具体怎么用的?
6月 10, 2020 用户: 宋翔 学富五车 (777 分)
你给的demo里面我应该改什么?然后能够运行看报错
啊。。,哥们,我的意思就是这个报错,为什么引不进来。。。

因为Cesium.js和Dojo.js里面的格式不一样,所以引用可能不能按照Dojo的标准引用方式来引用了。下面是我这边引入Cesium.js的方法。能够初始化。

<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title> Tutorail: Hello Dojo</title>
		<script type="text/javascript" src="Build/Cesium/Cesium.js"></script>

	</head>

	<body>
		<div id="cesiumDiv"></div>
		<!-- <h1 id="greeting">Hello</h1> -->
		<script>
			var dojoconfig = {
				async: true,
				// packages: [{
				// 	name: 'demo',
				// 	location: '../../Build/Cesium.Cesium'
				// }]
			}
		</script>
		<script type="text/javascript" src="dojo-release/dojo/dojo.js"></script>

		<script>
			require([
				// "./main.js"
			], function() {
				console.log(Cesium);
				var viewer = new Cesium.Viewer("cesiumDiv");
			});
		</script>
	</body>

</html>

结果入下图:

哥们,我用main.js封装了一下Cesium.js,之前版本的Cesium是没问题的,到这个版本就崩了。。
解决了吗我也遇到同样问题
...